RTEMS: ALT_I2C_s Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
ALT_I2C_s Struct Reference

## Data Fields
volatile ALT_I2C_CON_t | ic_con
volatile ALT_I2C_TAR_t | ic_tar
volatile ALT_I2C_SAR_t | ic_sar
volatile uint32_t | _pad_0xc_0xf
volatile ALT_I2C_DATA_CMD_t | ic_data_cmd
volatile ALT_I2C_SS_SCL_HCNT_t | ic_ss_scl_hcnt
volatile ALT_I2C_SS_SCL_LCNT_t | ic_ss_scl_lcnt
volatile ALT_I2C_FS_SCL_HCNT_t | ic_fs_scl_hcnt
volatile ALT_I2C_FS_SCL_LCNT_t | ic_fs_scl_lcnt
volatile uint32_t | _pad_0x24_0x2b [2]
volatile ALT_I2C_INTR_STAT_t | ic_intr_stat
volatile ALT_I2C_INTR_MSK_t | ic_intr_mask
volatile ALT_I2C_RAW_INTR_STAT_t | ic_raw_intr_stat
volatile ALT_I2C_RX_TL_t | ic_rx_tl
volatile ALT_I2C_TX_TL_t | ic_tx_tl
volatile ALT_I2C_CLR_INTR_t | ic_clr_intr
volatile ALT_I2C_CLR_RX_UNDER_t | ic_clr_rx_under
volatile ALT_I2C_CLR_RX_OVER_t | ic_clr_rx_over
volatile ALT_I2C_CLR_TX_OVER_t | ic_clr_tx_over
volatile ALT_I2C_CLR_RD_REQ_t | ic_clr_rd_req
volatile ALT_I2C_CLR_TX_ABRT_t | ic_clr_tx_abrt
volatile ALT_I2C_CLR_RX_DONE_t | ic_clr_rx_done
volatile ALT_I2C_CLR_ACTIVITY_t | ic_clr_activity
volatile ALT_I2C_CLR_STOP_DET_t | ic_clr_stop_det
volatile ALT_I2C_CLR_START_DET_t | ic_clr_start_det
volatile ALT_I2C_CLR_GEN_CALL_t | ic_clr_gen_call
volatile ALT_I2C_EN_t | ic_enable
volatile ALT_I2C_STAT_t | ic_status
volatile ALT_I2C_TXFLR_t | ic_txflr
volatile ALT_I2C_RXFLR_t | ic_rxflr
volatile ALT_I2C_SDA_HOLD_t | ic_sda_hold
volatile ALT_I2C_TX_ABRT_SRC_t | ic_tx_abrt_source
volatile ALT_I2C_SLV_DATA_NACK_ONLY_t | ic_slv_data_nack_only
volatile ALT_I2C_DMA_CR_t | ic_dma_cr
volatile ALT_I2C_DMA_TDLR_t | ic_dma_tdlr
volatile ALT_I2C_DMA_RDLR_t | ic_dma_rdlr
volatile ALT_I2C_SDA_SETUP_t | ic_sda_setup
volatile ALT_I2C_ACK_GENERAL_CALL_t | ic_ack_general_call
volatile ALT_I2C_EN_STAT_t | ic_enable_status
volatile ALT_I2C_FS_SPKLEN_t | ic_fs_spklen
volatile uint32_t | _pad_0xa4_0xf3 [20]
volatile ALT_I2C_COMP_PARAM_1_t | ic_comp_param_1
volatile ALT_I2C_COMP_VER_t | ic_comp_version
volatile ALT_I2C_COMP_TYPE_t | ic_comp_type

The documentation for this struct was generated from the following file:

- bsps/arm/altera-cyclone-v/include/bsp/socal/alt_i2c.h